org.apache.maven.scm

## Class NoSuchCommandScmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException
      - - org.apache.maven.scm.NoSuchCommandScmException

All Implemented Interfaces:
  Serializable

    public class NoSuchCommandScmException
    extends ScmException

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchCommandScmException(String commandName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCommandName()` Return the command name.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchCommandScmException

    public NoSuchCommandScmException(String commandName)

### Method Detail

#### getCommandName

    public String getCommandName()

Return the command name.

Returns:
  The command name